<div class="flex">
  <mat-card class="m-5 mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Formulaire</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="formGroup">
        <div class="flex p-5 gap-x-8">
          <!-- ------------------------------- col 1 ------------------------------- -->

          <div class="flex flex-col">
            <div>
              <mat-form-field appearance="outline">
                <mat-label> Heure de début </mat-label>

                <input
                  matInput
                  placeholder="Heure de début"
                  type="time"
                  formControlName="heureDebut"
                  required
                />
              </mat-form-field>
            </div>
            <div>
              <mat-form-field appearance="outline">
                <mat-label> Heure de fin </mat-label>
                <input
                  matInput
                  placeholder="Heure de fin"
                  type="time"
                  formControlName="heureFin"
                  required
                />
              </mat-form-field>
            </div>
            <!-- <div>
              <mat-checkbox formControlName="journeeComplete" color="primary"
                >Journée complète</mat-checkbox
              >
            </div> -->
          </div>

          <!-- -------------------------------- col 2 -------------------------------- -->

          <div class="flex flex-col">
            <div>
              <mat-form-field appearance="outline">
                <mat-label>Modèle</mat-label>

                <ng-container *ngIf="triReceived; else elseTemplate">
                  <input
                    matInput
                    disabled
                    value="{{ triReceived.article.modele }}"
                  />
                </ng-container>
                <ng-template #elseTemplate>
                  <mat-select required formControlName="modeles">
                    <mat-option
                      *ngFor="let modele of modeles"
                      [value]="modele"
                      >{{ modele.modele }}</mat-option
                    >
                  </mat-select>
                </ng-template>
              </mat-form-field>
            </div>
            <div>
              <mat-form-field appearance="outline">
                <mat-label>Code article</mat-label>
                <input
                  formControlName="articles"
                  type="number"
                  minlength="7"
                  matInput
                  required
                  [matAutocomplete]="auto"
                  placeholder="Code Article"
                />

                <mat-autocomplete
                  #auto="matAutocomplete"
                  required
                  [displayWith]="getOptionText"
                >
                  <mat-option
                    *ngFor="let option of filteredArticles"
                    [value]="option"
                    >{{ option.codeArticle }}</mat-option
                  >
                </mat-autocomplete>
              </mat-form-field>
            </div>
            <!-- <div>
              <span class="example-list-section">
                <ul>
                  <li *ngFor="let tri of typesDeTri">
                    <mat-checkbox
                      color="primary"
                      formControlName="typeDeTri"
                      value="tri"
                    >
                      {{ tri.typeTriNom }}
                    </mat-checkbox>

                  </li>
                </ul>
              </span>
            </div> -->
          </div>

          <!-- -------------------------------- col 3 -------------------------------- -->
          <div class="flex flex-col">
            <div>
              <mat-form-field appearance="outline">
                <mat-label> N° de galia </mat-label>

                <input
                  matInput
                  placeholder="N° de galia"
                  formControlName="nDeGalia"
                  type="number"
                />
              </mat-form-field>
            </div>
            <!-- <div>
              <mat-form-field appearance="outline">
                <mat-label> Motif de tri </mat-label>

                <input
                  matInput
                  placeholder="Motif de tri"
                  formControlName="motifDeTri"
                />
              </mat-form-field>
            </div> -->
            <div>
              <mat-form-field appearance="outline">
                <mat-label>N° d'OS</mat-label>
                <input
                  matInput
                  placeholder="N° d'OS"
                  formControlName="nOS"
                  type="number"
                />
              </mat-form-field>
            </div>
          </div>
          <!-- -------------------------------- col 4 -------------------------------- -->
          <div class="flex flex-col">
            <label class="mb-3">Market</label>

            <mat-radio-group
              class="flex flex-col"
              formControlName="market"
              color="primary"
            >
              <ng-container *ngFor="let market of markets">
                <mat-radio-button [value]="market.marketId" class="m-2">{{
                  market.nom
                }}</mat-radio-button>
              </ng-container>
            </mat-radio-group>
          </div>
          <!-- -------------------------------- col 5 -------------------------------- -->
          <div class="flex flex-col">
            <label class="mb-3">Type de tri</label>

            <mat-radio-group
              class="flex flex-col"
              formControlName="typeDeTri"
              color="primary"
              (change)="onTypeDeTriChanged($event)"
            >
              <ng-container *ngFor="let tri of typesDeTri">
                <mat-radio-button [value]="tri.typeTriId" class="m-2">{{
                  tri.typeTriNom
                }}</mat-radio-button>
              </ng-container>
            </mat-radio-group>
          </div>
          <!-- -------------------------------- col 6 -------------------------------- -->
          <div
            class="flex flex-col"
            *ngIf="
              selectedTypeTriId === 2 || triReceived?.typeTri?.typeTriId === 2
            "
          >
            <label class="mb-3">AVO Lieu</label>

            <ng-container *ngIf="triReceived; else elseTemplate">
              <mat-form-field>
                <input matInput readonly [value]="triReceived.avo.nomLieu" />
              </mat-form-field>
            </ng-container>
            <ng-template #elseTemplate>
              <mat-radio-group
                class="flex flex-col"
                formControlName="avo"
                color="primary"
              >
                <ng-container *ngFor="let avo of avoLieux">
                  <mat-radio-button [value]="avo.lieuAvoId" class="m-2">{{
                    avo.nomLieu
                  }}</mat-radio-button>
                </ng-container>
              </mat-radio-group>
            </ng-template>
          </div>
        </div>
      </form>
    </mat-card-content>
  </mat-card>
</div>
